Cduce Depends On Non-Existant Package `ocaml-nox-3.10.0`

Bug #234581 reported by David Futcher
2
Affects Status Importance Assigned to Milestone
camlp5 (Ubuntu)
Fix Released
Undecided
Unassigned
cduce (Ubuntu)
Fix Released
Undecided
Unassigned
cryptgps (Ubuntu)
Fix Released
Undecided
Unassigned
findlib (Ubuntu)
Fix Released
Undecided
Unassigned
lablgtk2 (Ubuntu)
Fix Released
Undecided
Unassigned
ocaml-expat (Ubuntu)
Fix Released
Undecided
Unassigned
ocaml-ssl (Ubuntu)
Fix Released
Undecided
Unassigned
ocamlnet (Ubuntu)
Fix Released
Undecided
Unassigned
ocurl (Ubuntu)
Fix Released
Undecided
Unassigned
pcre-ocaml (Ubuntu)
Fix Released
Undecided
Unassigned
ulex (Ubuntu)
Fix Released
Undecided
Unassigned

Bug Description

Binary package hint: cduce

Cduce depends on package 'ocaml-nox-3.10.0', which does not exist. Because of this the package fails to install.

http://qa.ubuntuwire.com/debcheck/debcheck.py?dist=intrepid&package=cduce

Revision history for this message
Cesare Tirabassi (norsetto) wrote :

This is because ocaml has been transitioned to version 3.10.2. A whole bunch of packages needs to be rebuild and/or patched. I can see at least the following:

cduce
pcre-ocaml
findlib
ocamlnet
camlp5
lablgtk2
cryptgps
ocaml-ssl
ocaml-expat
ocurl
ulex

Revision history for this message
Cesare Tirabassi (norsetto) wrote :

camlp5 sync requested in bug 234833

Changed in camlp5:
status: New → Fix Committed
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

lablgtk2 sync requested in bug 234831

Changed in lablgtk2:
status: New → Fix Committed
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

ocamlnet ftbfs (see bug 234846)

Changed in ocamlnet:
assignee: nobody → norsetto
status: New → In Progress
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

findlib covered by bug 234538

Changed in findlib:
status: New → In Progress
Changed in cduce:
assignee: nobody → norsetto
status: New → In Progress
Changed in cryptgps:
assignee: nobody → norsetto
status: New → In Progress
Changed in ocaml-expat:
assignee: nobody → norsetto
status: New → In Progress
Changed in ocaml-ssl:
assignee: nobody → norsetto
status: New → In Progress
Changed in ocurl:
assignee: nobody → norsetto
status: New → In Progress
Changed in pcre-ocaml:
assignee: nobody → norsetto
status: New → In Progress
Changed in ulex:
assignee: nobody → norsetto
status: New → In Progress
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

This bug was fixed in the package findlib - 1.2.1-4build1

---------------
findlib (1.2.1-4build1) intrepid; urgency=low

  * Rebuild for the ocaml 3.10.1 -> ocaml 3.10.2 transition (LP:#234538).

 -- Michael Bienia <email address hidden>   Sat, 24 May 2008 11:04:54 +0200

Changed in findlib:
status: In Progress → Fix Released
Changed in pcre-ocaml:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package pcre-ocaml - 5.13.0-1build1

---------------
pcre-ocaml (5.13.0-1build1) intrepid; urgency=low

  * No change rebuild against ocaml 3.10.2 (LP: #234581)

 -- Cesare Tirabassi <email address hidden> Sun, 25 May 2008 19:23:30 +0200

Changed in pcre-ocaml:
status: Fix Committed → Fix Released
Changed in ocaml-expat:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ocaml-expat - 0.9.1+debian1-4build1

---------------
ocaml-expat (0.9.1+debian1-4build1) intrepid; urgency=low

  * No change rebuild against Ocaml 3.10.2 (LP: #234581)

 -- Cesare Tirabassi <email address hidden> Sun, 25 May 2008 19:23:30 +0200

Changed in ocaml-expat:
status: Fix Committed → Fix Released
Changed in ocaml-ssl:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ocaml-ssl - 0.4.2-3build2

---------------
ocaml-ssl (0.4.2-3build2) intrepid; urgency=low

  * No change rebuild against Ocaml 3.10.2 (LP: #234581)

 -- Cesare Tirabassi <email address hidden> Sun, 25 May 2008 19:23:30 +0200

Changed in ocaml-ssl:
status: Fix Committed → Fix Released
Changed in ocurl:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Changed in cryptgps:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Changed in ulex:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ocurl - 0.2.1-13build1

---------------
ocurl (0.2.1-13build1) intrepid; urgency=low

  * No change rebuild against Ocaml 3.10.2 (LP: #234581)

 -- Cesare Tirabassi <email address hidden> Sun, 25 May 2008 19:23:30 +0200

Changed in ocurl:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cryptgps - 0.2.1-4build1

---------------
cryptgps (0.2.1-4build1) intrepid; urgency=low

  * No change rebuild against Ocaml 3.10.2 (LP: #234581)

 -- Cesare Tirabassi <email address hidden> Sun, 25 May 2008 19:23:30 +0200

Changed in cryptgps:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ulex - 1.0-4build1

---------------
ulex (1.0-4build1) intrepid; urgency=low

  * No change rebuild against Ocaml 3.10.2 (LP: #234581)

 -- Cesare Tirabassi <email address hidden> Sun, 25 May 2008 19:23:30 +0200

Changed in ulex:
status: Fix Committed → Fix Released
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

 camlp5 (5.08-2) unstable; urgency=low

  [ Ralf Treinen ]
  * Changed doc-base section to Programming/OCaml

  [ Sylvain Le Gall ]
  * Rebuild for ocaml 3.10.2
  * Add Sylvain Le Gall to uploaders

Changed in camlp5:
status: Fix Committed → Fix Released
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

lablgtk2 (2.10.1-2) unstable; urgency=low

  [ Sylvain Le Gall ]
  * Update debian/copyright file
  * Fix GTK -> GTK+ in debian/control
  * Move META.lablgtk2-gl to directory METAS/
  * Stop creating empty directory lablgtkgl2
  * Clean config.*
  * Rebuild for ocaml 3.10.2

Changed in lablgtk2:
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ocamlnet - 2.2.9-2ubuntu1

---------------
ocamlnet (2.2.9-2ubuntu1) intrepid; urgency=low

  * Add patch enable_struct_ucred.dpatch:
    fix ftbfs (LP: #234846)
  * Rebuild against ocaml 3.10.2 (LP: #234581)
  * Modify Maintainer value to match the DebianMaintainerField
    specification.

 -- Cesare Tirabassi <email address hidden> Mon, 26 May 2008 00:03:23 +0200

Changed in ocamlnet:
status: In Progress → Fix Released
Changed in ocamlnet:
assignee: norsetto → nobody
Changed in cduce:
assignee: norsetto → nobody
status: In Progress → Fix Committed
Revision history for this message
Cesare Tirabassi (norsetto) wrote :

cduce (0.5.0-2build1) intrepid; urgency=low

  * No change rebuild against Ocaml 3.10.2

 -- Cesare Tirabassi < <email address hidden>> Sun, 25 May 2008 19:23:30 +0200

Changed in cduce:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers